<form [formGroup]="searchForm" (ngSubmit)="emitSubmitSearch()">
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <select
        class="input-group-prepend form-select"
        formControlName="searchField"
      >
        <option [value]="option.searchKey" *ngFor="let option of searchFields">
          {{ option.searchTitle }}
        </option>
      </select>
    </div>

    <input
      type="text"
      class="form-control"
      formControlName="searchText"
      (keyup)="emitSearchTextChange($event)"
    />

    <button type="submit" class="btn btn-primary">
      <i class="fa fa-search" aria-hidden="true"></i>
    </button>
  </div>
</form>
